Subject: Mandatory 12/18/07
From: "Stacy Briggs" <[email-masked]>
To: <[email-masked]>
Date: Tue, 18 Dec 2007 12:03:43 -0500

Merry Christmas to you too! We (and I'm sure you as well) will not be in
on Monday or Tuesday of next week (24th or the 25th). Is there a good
time for you to send over payroll before then? Thanks Mike! 

Stacy
The file attached to this email contains the following information:
Mandatory 12/18/07